#---------------------------------------------------------------
#	Raspberry Pi 3 - CPU load
#---------------------------------------------------------------

Target[raspi3-CPU]: 100 - .1.3.6.1.4.1.2021.11.11.0&.1.3.6.1.4.1.2021.11.11.0:public@raspi-3
MaxBytes[raspi3-CPU]: 100
YLegend[raspi3-CPU]: CPU %
ShortLegend[raspi3-CPU]: %
LegendI[raspi3-CPU]: CPU
Legend1[raspi3-CPU]: CPU usage
Options[raspi3-CPU]: integer, gauge, nopercent, growright, unknaszero, noo
Title[raspi3-CPU]: Raspberry Pi 3 CPU load
PageTop[raspi3-CPU]: <H2>Raspberry Pi 3 - CPU load</H2>

#---------------------------------------------------------------
#	Raspberry Pi 3 - CPU temperature
#---------------------------------------------------------------

Target[raspi3-CPU-temp]: .1.3.6.1.2.1.25.1.7.0&.1.3.6.1.2.1.25.1.8:public@raspi-3
MaxBytes[raspi3-CPU-temp]: 100000
MaxBytes2[raspi3-CPU-temp]: 100000
Title[raspi3-CPU-temp]: CPU temperature on Raspberry Pi 3
Options[raspi3-CPU-temp]: gauge, nopercent, growright, unknaszero, noi
YLegend[raspi3-CPU-temp]: Temperature C
ShortLegend[raspi3-CPU-temp]: C
kMG[raspi3-CPU-temp]: ,
Factor[raspi3-CPU-temp]: 0.001
Legend2[raspi3-CPU-temp]: CPU temperature in C
LegendO[raspi3-CPU-temp]: CPU temperature
PageTop[raspi3-CPU-temp]: <H1>Raspberry Pi 3 - CPU Temperature</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Memory
#---------------------------------------------------------------

Target[raspi3-mem]: .1.3.6.1.2.1.25.2.3.1.6.1&.1.3.6.1.2.1.25.2.3.1.6.3:public@raspi-3
MaxBytes[raspi3-mem]: 100524288
Options[raspi3-mem]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi3-mem]: Memory used
YTicsFactor[raspi3-mem]: 1024
Factor[raspi3-mem]: 1024
ShortLegend[raspi3-mem]: B
LegendI[raspi3-mem]: Physical &nbsp;
LegendO[raspi3-mem]: Virtual  &nbsp;
Legend1[raspi3-mem]: Physical 
Legend2[raspi3-mem]: Virtual Memory
Title[raspi3-mem]: Raspberry Pi 3 Memory Usage
PageTop[raspi3-mem]: <H2>Raspberry Pi 3 - Memory Usage</H2>

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp]: `perl GetNTP10usec.pl raspi-3`
MaxBytes[raspi3_ntp]: 20
MaxBytes2[raspi3_ntp]: 40
Unscaled[raspi3_ntp]: dwmy
Title[raspi3_ntp]: NTP offset for Raspberry Pi 3 - precision scale
PageTop[raspi3_ntp]: <h1>NTP offset for Raspberry Pi 3 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi3_ntp]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp]: offset + 20us
ShortLegend[raspi3_ntp]: s
LegendI[raspi3_ntp]: 
LegendO[raspi3_ntp]: offset + 20s:&nbsp;
Legend1[raspi3_ntp]: n/a
Legend2[raspi3_ntp]: time offset in ms, with 20s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 3 - precision timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp_2]: `perl GetNTPmicrosec.pl raspi-3`
MaxBytes[raspi3_ntp_2]: 500
MaxBytes2[raspi3_ntp_2]: 1000
Unscaled[raspi3_ntp_2]: dwmy
Title[raspi3_ntp_2]: NTP performance on Raspberry Pi 3 - microsecond scale
PageTop[raspi3_ntp_2]: <h1>NTP offset for Raspberry Pi 3 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi3_ntp_2]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp_2]: offset + 500us
ShortLegend[raspi3_ntp_2]: s
LegendI[raspi3_ntp_2]: 
LegendO[raspi3_ntp_2]: offset + 500s:&nbsp;
Legend1[raspi3_ntp_2]: n/a
Legend2[raspi3_ntp_2]: time offset in s, with 500s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp-pn]: `perl GetNTPoffsetNs.pl raspi-3`
MaxBytes[raspi3_ntp-pn]: 100000000
Title[raspi3_ntp-pn]: NTP statistics for Raspberry Pi 3 - bipolar scale
Options[raspi3_ntp-pn]: integer, gauge, nopercent, growright
Colours[raspi3_ntp-pn]: BLUE#0033FF, RED#FF0000, BLUE#0033FF, RED#FF0000, 
YLegend[raspi3_ntp-pn]: offset +/- ns
ShortLegend[raspi3_ntp-pn]: ns
LegendI[raspi3_ntp-pn]: offset ns (-):&nbsp;
LegendO[raspi3_ntp-pn]: offset ns (+):&nbsp;
Legend1[raspi3_ntp-pn]: Time offset in ns (-)
Legend2[raspi3_ntp-pn]: Time offset in ns (+)
PageTop[raspi3_ntp-pn]: <H1>NTP offset for Raspberry Pi 3 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - timekeeping
#---------------------------------------------------------------

Target[raspi3_ntp-b]: `perl GetNTP3000usec.pl raspi-3`
MaxBytes[raspi3_ntp-b]: 5990
MaxBytes2[raspi3_ntp-b]: 3000
Unscaled[raspi3_ntp-b]: dwmy
Title[raspi3_ntp-b]: NTP offset for Raspberry Pi 3 - microsecond scale
Options[raspi3_ntp-b]: integer, gauge, nopercent, growright
YLegend[raspi3_ntp-b]: offset + 3ms
kMG[raspi3_ntp-b]: ,ms,,,,
ShortLegend[raspi3_ntp-b]: s
LegendI[raspi3_ntp-b]: 
LegendO[raspi3_ntp-b]: offset + 3000s:&nbsp;
Legend1[raspi3_ntp-b]: n/a
Legend2[raspi3_ntp-b]: time offset in s, with 3000s offset added to ensure it's positive.
PageTop[raspi3_ntp-b]: <H1>NTP offset for Raspberry Pi 3 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - LAN network traffic
#---------------------------------------------------------------

Target[raspi3-lan]: #eth0:public@raspi-3
MaxBytes[raspi3-lan]: 12500000
Options[raspi3-lan]: unknaszero, growright
Title[raspi3-lan]: Raspberry Pi 3 - LAN Traffic
PageTop[raspi3-lan]: <H1>Raspberry Pi 3 - LAN Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>On board Ethernet interface</TD></TR>
   <TR><TD>Max Speed:</TD><TD>100 Mbit/s Ethernet</TD></TR>
 </TABLE>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Wi-Fi network traffic
#---------------------------------------------------------------

Target[raspi3-wifi]: #wlan0:public@raspi-3
MaxBytes[raspi3-wifi]: 12500000
Options[raspi3-wifi]: bits, unknaszero, growright
Title[raspi3-wifi]: Raspberry Pi 3 - Wi-Fi Traffic
PageTop[raspi3-wifi]: <H1>Raspberry Pi 3 - Wi-Fi Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>USB Wi-Fi adapter</TD></TR>
   <TR><TD>Max Speed:</TD><TD>150 Mbits/s</TD></TR>
 </TABLE>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Ambient temperature indoors
#---------------------------------------------------------------

Target[raspi3-air-temp]: .1.3.6.1.2.1.25.1.21&.1.3.6.1.2.1.25.1.21:public@raspi-3
MaxBytes[raspi3-air-temp]: 100000
MaxBytes2[raspi3-air-temp]: 100000
Title[raspi3-air-temp]: Ambient temperature indoors
Options[raspi3-air-temp]: gauge, nopercent, growright, unknaszero, noi
YLegend[raspi3-air-temp]: Temperature C
ShortLegend[raspi3-air-temp]: C
kMG[raspi3-air-temp]: ,
Factor[raspi3-air-temp]: 0.001
Legend2[raspi3-air-temp]: Indoors temperature in C
LegendO[raspi3-air-temp]: Indoors temperature
PageTop[raspi3-air-temp]: <H1>Downstairs - Ambient Temperature Indoors</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Air pressure
#---------------------------------------------------------------

Target[raspi3-air-pressure]: .1.3.6.1.2.1.25.1.22&.1.3.6.1.2.1.25.1.22:public@raspi-3
MaxBytes[raspi3-air-pressure]:  110000
MaxBytes2[raspi3-air-pressure]: 110000
Title[raspi3-air-pressure]: Sea-level Air Pressure for Raspberry Pi #3
Options[raspi3-air-pressure]: expscale, gauge, nopercent, growright, unknaszero, noi
YLegend[raspi3-air-pressure]: Pressure hPa
ShortLegend[raspi3-air-pressure]: Pa
Factor[raspi3-air-pressure]: 0.01
kMG[raspi3-air-pressure]: ,
Legend2[raspi3-air-pressure]: Air Pressure hPa
LegendO[raspi3-air-pressure]: Pressure hPa
PageTop[raspi3-air-pressure]: <H1>Sea-level Air Pressure at Edinburgh</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - Ambient air humidity
#---------------------------------------------------------------

Target[raspi3-air-humidity]: .1.3.6.1.2.1.25.1.23&.1.3.6.1.2.1.25.1.23:public@raspi-3
MaxBytes[raspi3-air-humidity]: 100000
MaxBytes2[raspi3-air-humidity]: 100000
Title[raspi3-air-humidity]: Relative humidity for Raspberry Pi #3
Options[raspi3-air-humidity]: gauge, nopercent, growright, unknaszero, noi
YLegend[raspi3-air-humidity]: Humidity %
ShortLegend[raspi3-air-humidity]: %
kMG[raspi3-air-humidity]: ,,
Factor[raspi3-air-humidity]: 0.001
Legend2[raspi3-air-humidity]: Ambient air relative humidity
LegendO[raspi3-air-humidity]: Ambient air relative humidity
PageTop[raspi3-air-humidity]: <H1>Downstairs Ambient Air Relative Humidity</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - GPS Satellites Available and Used
#---------------------------------------------------------------

Target[raspi3-gps]: .1.3.6.1.2.1.25.1.32&.1.3.6.1.2.1.25.1.31:public@raspi-3
MaxBytes[raspi3-gps]: 100
MaxBytes2[raspi3-gps]: 100
Title[raspi3-gps]: GPS Satellites Raspberry Pi #3
Options[raspi3-gps]: integer, gauge, nopercent, growright, unknaszero
YLegend[raspi3-gps]: Satellites
ShortLegend[raspi3-gps]: Satellites
Legend1[raspi3-gps]: Used
Legend2[raspi3-gps]: Available
LegendI[raspi3-gps]: Used
LegendO[raspi3-gps]: Available
PageTop[raspi3-gps]: <H1>RasPi-3 - GPS Satellites in view and used</H1>

#---------------------------------------------------------------
#	Raspberry Pi 3 - GPS Satellites - average SNR
#---------------------------------------------------------------

Target[raspi3-gps-snr]: .1.3.6.1.2.1.25.1.33&.1.3.6.1.2.1.25.1.33:public@raspi-3
Title[raspi3-gps-snr]: GPS Satellites - average SNR - Raspberry Pi #3
MaxBytes[raspi3-gps-snr]: 100
MaxBytes2[raspi3-gps-snr]: 100
Options[raspi3-gps-snr]: gauge, nopercent, growright, unknaszero, noi
YLegend[raspi3-gps-snr]: Average SNR dB
ShortLegend[raspi3-gps-snr]: dB
Legend2[raspi3-gps-snr]: Average SNR (dB)
LegendO[raspi3-gps-snr]: Average SNR
PageTop[raspi3-gps-snr]: <H1>RasPi-3 - GPS average SNR</H1>

#---------------------------------------------------------------
